wrong .qgis2 permissions in ubuntu 13.04
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17352

Description

After an upgrade of qgis in ubuntu 13.04 qgis does not start normal.

At first there is the message:

"[Fehler] Kann private Kopie von qgis.db nicht anlegen" 

Then is there an python error:

Konnte Erweiterung processing nicht laden wegen eines Fehler beim Aufruf seiner classFactory()-Methode

Traceback (most recent call last):

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 204, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 33, in classFactory

    return ProcessingPlugin(iface)

  File "/usr/share/qgis/python/plugins/processing/ProcessingPlugin.py", line 53, in __init__

    Processing.initialize()

  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 127, in initialize

    Processing.addProvider(RAlgorithmProvider())

  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 75, in addProvider

    provider.initializeSettings()

  File "/usr/share/qgis/python/plugins/processing/r/RAlgorithmProvider.py", line 51, in initializeSettings

    ProcessingConfig.addSetting(Setting(self.getDescription(), RUtils.RSCRIPTS_FOLDER, "R Scripts folder",

RUtils.RScriptsFolder()))

  File "/usr/share/qgis/python/plugins/processing/r/RUtils.py", line 55, in RScriptsFolder

    mkdir(folder)

  File "/usr/share/qgis/python/plugins/processing/core/ProcessingUtils.py", line 95, in mkdir

    mkdir(head)

  File "/usr/share/qgis/python/plugins/processing/core/ProcessingUtils.py", line 97, in mkdir

    os.mkdir(newdir)

OSError: [Errno 13] Keine Berechtigung: '/home/torsten/.qgis2//processing'

Python-Version:

2.7.4 (default, Apr 19 2013, 18:35:44) 

[GCC 4.7.3]

QGIS-Version:

2.0.1-Dufour Dufour, exported
Python-Pfad: ['/usr/share/qgis/python/plugins/processing', '/usr/share/qgis/python', '/home/torsten/.qgis2/python',

'/home/torsten/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-i386-linux-gnu',

'/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel',

'/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

Associated revisions

Revision 4e2d1482 - 2013-09-16 08:19 PM - Jürgen Fischer

move creation of gdal_pam to createDB (fixes #8613)

Revision 6faa102d - 2013-09-16 08:25 PM - Jürgen Fischer

move creation of gdal_pam to createDB (fixes #8613)

History

#1 - 2013-09-15 12:26 AM - Jürgen Fischer

Who owns ~torsten/.qgis2?

#2 - 2013-09-15 04:18 AM - Giovanni Manghi

this is common issues on ubuntu installations, the .qgis2 is created with the wrong permissions.

#3 - 2013-09-15 04:19 AM - Giovanni Manghi

- Subject changed from Problems after qgis upgrade in ubuntu 13.04 to wrong .qgis2 permissions in ubuntu 13.04

#4 - 2013-09-16 01:12 AM - Filipe Dias

It also happens on Ubuntu 12.04. Deleting ~/.qgis2 and running QGIS from the command line by typing "qgis" stops QGIS from creating that folder as root.

The icon that Unity creates runs "sudo qgis" instead of "qgis".

#5 - 2013-09-27 02:23 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:4e2d1482361ca2441c76667e89cb2393563687f5 and commit:6faa102d5578f69bf3262571663eae60ddeedaab
